Skip to main content
GET
/
api
/
ecosystems
/
{id}
Get ecosystem by ID or slug
curl --request GET \
  --url https://api-next.dealroom.co/api/ecosystems/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": 123,
    "slug": "<string>",
    "name": "<string>",
    "description": "<string>",
    "filter": "<string>",
    "region": "<string>",
    "image_url": "<string>",
    "partner_logos": [
      {
        "name": "<string>",
        "url": "<string>",
        "image_url": "<string>"
      }
    ],
    "tabs_config": {},
    "is_active": true,
    "sort_order": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://developers.beta.dealroom.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Auth0 JWT access token. Paste a token obtained from your preferred OAuth2 flow. For machine-to-machine use, the OAuth2 client_credentials scheme below can mint a token directly from your client_id / client_secret inside the Swagger UI Authorize dialog.

Path Parameters

id
string
required
Minimum string length: 1
Example:

"1"

Response

Single ecosystem

data
object
required